Subject: [os2genau_digest] No. 1855
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 1 Sep 2009 00:01:03 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 31 August 2009
 Number  1855
**************************************************

Subjects for today
 
1  Re:  Networks : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  Networks : Alan Duval <amoht at westnet dot com dot au>
3  Re:  Networks : Ed Durrant <edurrant at durrant dot mine dot nu>
4   secure VPN for when on the road... : Ed Durrant <edurrant at durrant dot mine dot nu>
5  Re:  secure VPN for when on the road... : Ed Durrant <edurrant at durrant dot mine dot nu>
6  Re:  Networks : alan duval <amoht at westnet dot com dot au>
7  Re:  secure VPN for when on the road... : Voytek Eymont" <voytek at sbt dot net dot au>
8  Re:  Networks : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Mon, 31 Aug 2009 07:02:59 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Networks

Alan Duval wrote:
> Hi,
>
> Up till now I have avoided networks but now need to network with a 
> second computer. I don't know anything about networks and need some 
> advice.
> The first computer has Ubuntu installed (no, I am not giving up on 
> eCS), and has a program written in Java which is accessed by the 
> browser by typing in  https://192.168.1.100:8443/oscar/. I need the 
> secretary to access this program from her computer. As I am connected 
> to the internet via a 4 port Billion router, can I just connect the 
> secretary's computer to this to create the network and then for her to 
> just type the afore mentioned address into her browser to open the 
> program? I understand that the router will assign a different IP 
> address to the secretary's computer.
>
> Regards,
>
> Alan Duval
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
As long as both systems are connected to the "internal" side of the 
router (i.e. not connecting "over" the Internet) you should be fine - as 
long as ...

  Both systems have the same class of subnet mask, both have the same 
default router (aka gateway) defined and the addresses allocated are in 
the same range. So in fact as the secretaries PC has all this 
information allocated via DHCP, you need to check the configuration of 
the system with the fixed IP address.

  From the address given 192.168.1.100 - I'm going to make the following 
assumptions - the router is at 192.168.100.1, the subnet mask is a class 
C subnet mask (indicated as 255.255.255.0) and the range of IP addresses 
allocated by the router start with 192.168.1.something.

 In this case, just check the default route address and subnet mask on 
the ubuntu machine, and you should be fine.

 If the secretary's PC is running Windoze, and it is running firewall 
software (either windows firewall or a third party (part of an AV 
package)) you will need to make sure that it allows this address and 
port number (the 8443 bit) through - this often causes problems - a 
quick way to see, if the secretary can't get to the Ubuntu machine is to 
disable the windows software firewall for a couple of minutes, try and 
if connection then works, look at adding a rule to allow this traffic 
through. If with the firewall "down" she still can't connect, you have 
some other problem.

If the secretary is trying to connect via the internet (i.e. she or he, 
is in a different location), you will have problems and need a higher 
level of network knowledge as the 192.168.1.100 address is a "private 
address" that cannot be seen on the Internet (as millions of people 
around the world are using the same address range in their networks). 
You would have to set up a feature call NAT (network address 
translation) - to take what is your actual Internet address (which 
likely changes) and convert it to the internal address in the router - 
at both ends of the link. This is tricky and not without risk. A VPN is 
another option - again a more complex thing to set up, so lets hope both 
systems are on the same i9nternal network.

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes
Warpstock Europe at Stralsund, Germany 12-15 November 2009 http://www.warpstock.eu

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 31 Aug 2009 14:29:00 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  Networks

Ed Durrant wrote:
> Alan Duval wrote:
>> Hi,
>>
>> Up till now I have avoided networks but now need to network with a 
>> second computer. I don't know anything about networks and need some 
>> advice.
>> The first computer has Ubuntu installed (no, I am not giving up on 
>> eCS), and has a program written in Java which is accessed by the 
>> browser by typing in  https://192.168.1.100:8443/oscar/. I need the 
>> secretary to access this program from her computer. As I am connected 
>> to the internet via a 4 port Billion router, can I just connect the 
>> secretary's computer to this to create the network and then for her 
>> to just type the afore mentioned address into her browser to open the 
>> program? I understand that the router will assign a different IP 
>> address to the secretary's computer.
>>
>>
>>
> As long as both systems are connected to the "internal" side of the 
> router (i.e. not connecting "over" the Internet) you should be fine - 
> as long as ...
Yes! each would be connected to separate ports on the same 4 port router.
>
>  Both systems have the same class of subnet mask, both have the same 
> default router (aka gateway) defined and the addresses allocated are 
> in the same range. So in fact as the secretaries PC has all this 
> information allocated via DHCP, you need to check the configuration of 
> the system with the fixed IP address.
Both PC's would have information allocated via DHCP.
>
>  From the address given 192.168.1.100 - I'm going to make the 
> following assumptions - the router is at 192.168.100.1, the subnet 
> mask is a class C subnet mask (indicated as 255.255.255.0) and the 
> range of IP addresses allocated by the router start with 
> 192.168.1.something.
>
> In this case, just check the default route address and subnet mask on 
> the ubuntu machine, and you should be fine.
I access the router by typing http://192.168.1.254 to get to the router 
configuration pages.
LAN information is as follows:
IP address      192.168.1.254
IP mask           255.255.255.0
Client IP pool starting address      192.168.1.100
Size of client IP pool         100
Mode      Routing  (alternative is bridged)
encapsulation      PPPoE
Multiplex      LLC
Virtual circuit ID:
             VPI      8
             VCI      35

The default route address for my Ubuntu machine is         192.168.1.100
Subnet mask is         255.255.255.0
>
> If the secretary's PC is running Windoze, and it is running firewall 
> software (either windows firewall or a third party (part of an AV 
> package)) you will need to make sure that it allows this address and 
> port number (the 8443 bit) through - this often causes problems - a 
> quick way to see, if the secretary can't get to the Ubuntu machine is 
> to disable the windows software firewall for a couple of minutes, try 
> and if connection then works, look at adding a rule to allow this 
> traffic through. If with the firewall "down" she still can't connect, 
> you have some other problem.
The secretary's PC would have Ubuntu installed with no firewall.
>
> If the secretary is trying to connect via the internet (i.e. she or 
> he, is in a different location), 
She would be in the adjoining office.
> you will have problems and need a higher level of network knowledge as 
> the 192.168.1.100 address is a "private address" that cannot be seen 
> on the Internet (as millions of people around the world are using the 
> same address range in their networks). You would have to set up a 
> feature call NAT (network address translation) - to take what is your 
> actual Internet address (which likely changes) and convert it to the 
> internal address in the router - at both ends of the link. This is 
> tricky and not without risk. A VPN is another option - again a more 
> complex thing to set up, so lets hope both systems are on the same 
> i9nternal network.
Following would be diagram of setup:

                      INTERNET <-------------->ROUTER 
(port1)<------------->My PC                                           

               (port2)<------------->Secretary's PC               

 Other possible connection:

INTERNET<-------------->ROUTER<----------->HUB|<------------->My PC
                                                                         
                                          |<------------>Secretary's PC

Regards,

Alan
                                                            
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Mon, 31 Aug 2009 20:52:20 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Networks

Alan Duval wrote:
> Ed Durrant wrote:
>> Alan Duval wrote:
>>> Hi,
>>>
>>> Up till now I have avoided networks but now need to network with a 
>>> second computer. I don't know anything about networks and need some 
>>> advice.
>>> The first computer has Ubuntu installed (no, I am not giving up on 
>>> eCS), and has a program written in Java which is accessed by the 
>>> browser by typing in  https://192.168.1.100:8443/oscar/. I need the 
>>> secretary to access this program from her computer. As I am 
>>> connected to the internet via a 4 port Billion router, can I just 
>>> connect the secretary's computer to this to create the network and 
>>> then for her to just type the afore mentioned address into her 
>>> browser to open the program? I understand that the router will 
>>> assign a different IP address to the secretary's computer.
>>>
>>>
>>>
>> As long as both systems are connected to the "internal" side of the 
>> router (i.e. not connecting "over" the Internet) you should be fine - 
>> as long as ...
> Yes! each would be connected to separate ports on the same 4 port router.
>>
>>  Both systems have the same class of subnet mask, both have the same 
>> default router (aka gateway) defined and the addresses allocated are 
>> in the same range. So in fact as the secretaries PC has all this 
>> information allocated via DHCP, you need to check the configuration 
>> of the system with the fixed IP address.
> Both PC's would have information allocated via DHCP.
>>
>>  From the address given 192.168.1.100 - I'm going to make the 
>> following assumptions - the router is at 192.168.100.1, the subnet 
>> mask is a class C subnet mask (indicated as 255.255.255.0) and the 
>> range of IP addresses allocated by the router start with 
>> 192.168.1.something.
>>
>> In this case, just check the default route address and subnet mask on 
>> the ubuntu machine, and you should be fine.
> I access the router by typing http://192.168.1.254 to get to the 
> router configuration pages.
> LAN information is as follows:
> IP address      192.168.1.254
> IP mask           255.255.255.0
> Client IP pool starting address      192.168.1.100
> Size of client IP pool         100
> Mode      Routing  (alternative is bridged)
> encapsulation      PPPoE
> Multiplex      LLC
> Virtual circuit ID:
>             VPI      8
>             VCI      35
>
> The default route address for my Ubuntu machine is         192.168.1.100
> Subnet mask is         255.255.255.0
>>
>> If the secretary's PC is running Windoze, and it is running firewall 
>> software (either windows firewall or a third party (part of an AV 
>> package)) you will need to make sure that it allows this address and 
>> port number (the 8443 bit) through - this often causes problems - a 
>> quick way to see, if the secretary can't get to the Ubuntu machine is 
>> to disable the windows software firewall for a couple of minutes, try 
>> and if connection then works, look at adding a rule to allow this 
>> traffic through. If with the firewall "down" she still can't connect, 
>> you have some other problem.
> The secretary's PC would have Ubuntu installed with no firewall.
>>
>> If the secretary is trying to connect via the internet (i.e. she or 
>> he, is in a different location), 
> She would be in the adjoining office.
>> you will have problems and need a higher level of network knowledge 
>> as the 192.168.1.100 address is a "private address" that cannot be 
>> seen on the Internet (as millions of people around the world are 
>> using the same address range in their networks). You would have to 
>> set up a feature call NAT (network address translation) - to take 
>> what is your actual Internet address (which likely changes) and 
>> convert it to the internal address in the router - at both ends of 
>> the link. This is tricky and not without risk. A VPN is another 
>> option - again a more complex thing to set up, so lets hope both 
>> systems are on the same i9nternal network.
> Following would be diagram of setup:
>
>                      INTERNET <-------------->ROUTER 
> (port1)<------------->My PC                                           
>                              
>                                                                        
>               (port2)<------------->Secretary's PC              
> Other possible connection:
>
>                      
> INTERNET<-------------->ROUTER<----------->HUB|<------------->My PC
>                                                                         
>                                          |<------------>Secretary's PC
>
>
> Regards,
>
> Alan
>                                                            
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
Hi Alan - unfortunately your graphic didn't dosplay that well, but I see 
what you are saying - I think you should be fine then, except you should 
not have more than one default route in your network - if the router is 
at 192.168.1.254, that's what I'd expect all systems to have as their 
default route (including the Linux box).

Let us know how you get on.

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes
Warpstock Europe at Stralsund, Germany 12-15 November 2009 http://www.warpstock.eu

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Mon, 31 Aug 2009 21:14:12 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   secure VPN for when on the road...

Hi,

  I thought this (paid service) might be of interest to those of you 
that use WiFi Hotspots and Hotel Internet connections:

*Question:*
/
Hi, Will one or other of your services work with OS/2 clients (aka 
eComStation in its latest version)? There are PPTP clients available but 
do you require a proprietry client implementation?

Also what happens to the IP address on packets? I presume you have a 
gateway out onto the Internet - in this case, my IP address may be a 
local (i.e. in my case Australian) IP address - when a response comes 
back, does it come back via your VPN or direct to my system (which would 
then be an insecure route)? If the IP address changes and then comes 
back to you and effectively it then gets converted via the VPN back into 
my IP address, does that mean that sites will think I am US based and 
hence be able to get access to sites that otherwise restrict my access 
from Australia - e.g. streaming TV stations?

Regards,
Ed Durrant
Sydney Australia. /

*Solution:*

Yes, we have os/2 clients running against our servers but I don't know 
the client software they are using. 

The route comes back through our vpn, you can traceroute it to see.  The 
vpn becomes your default first hop.

All sites will see you as having a US ip address.

Thank you.

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes
Warpstock Europe at Stralsund, Germany 12-15 November 2009 http://www.warpstock.eu

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Mon, 31 Aug 2009 21:18:02 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  secure VPN for when on the road...

Ed Durrant wrote:
> Hi,
>
>  I thought this (paid service) might be of interest to those of you 
> that use WiFi Hotspots and Hotel Internet connections:
>
> *Question:*
> /
> Hi, Will one or other of your services work with OS/2 clients (aka 
> eComStation in its latest version)? There are PPTP clients available 
> but do you require a proprietry client implementation?
>
> Also what happens to the IP address on packets? I presume you have a 
> gateway out onto the Internet - in this case, my IP address may be a 
> local (i.e. in my case Australian) IP address - when a response comes 
> back, does it come back via your VPN or direct to my system (which 
> would then be an insecure route)? If the IP address changes and then 
> comes back to you and effectively it then gets converted via the VPN 
> back into my IP address, does that mean that sites will think I am US 
> based and hence be able to get access to sites that otherwise restrict 
> my access from Australia - e.g. streaming TV stations?
>
> Regards,
> Ed Durrant
> Sydney Australia. /
>
> *Solution:*
>
> Yes, we have os/2 clients running against our servers but I don't know 
> the client software they are using.
> The route comes back through our vpn, you can traceroute it to see.  
> The vpn becomes your default first hop.
>
> All sites will see you as having a US ip address.
>
> Thank you.
>
Whoops, probably should have said who these people are!

http://www.hotspotvpn dot com

-- 
Cheers/2

Ed

eComStationAustralia podcast RSS feed http://eComStationAustralia.podbean dot com/feed or iTunes
Warpstock Europe at Stralsund, Germany 12-15 November 2009 http://www.warpstock.eu

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   6 ==========================**

Date:  Mon, 31 Aug 2009 21:37:37 +1000
From:  alan duval <amoht at westnet dot com dot au>
Subject:  Re:  Networks

Hi Ed,

Probably I've stated the wrong IP default address for my Ubuntu PC.
The TCP/IP address for the Router is 192.168.1.254 as accessed from the
Ubuntu PC, and the subnet address is 255.255.255.0.
The 192.168.1.100 address is what I get for the eth0 inet address when I
type ifconfig in a terminal. I get this result:

alan at tomsbox:~$ ifconfig
eth0      Link encap:Ethernet  HWaddr 00:1a:92:4b:9e:67  
          inet addr:192.168.1.100  Bcast:192.168.1.255
Mask:255.255.255.0
          inet6 addr: fe80::21a:92ff:fe4b:9e67/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:333 errors:0 dropped:0 overruns:0 frame:0
          TX packets:341 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:173974 (169.8 KB)  TX bytes:43069 (42.0 KB)
          Interrupt:19 Base address:0xe400 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:1861 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1861 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:123389 (120.4 KB)  TX bytes:123389 (120.4 KB)

alan at tomsbox:~$ 

Regards,

Alan

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   7 ==========================**

Date:  Mon, 31 Aug 2009 21:37:40 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  secure VPN for when on the road...

<quote who="Ed Durrant">
> Ed Durrant wrote:
>
>> Hi,
>>
>>
>> I thought this (paid service) might be of interest to those of you
>> that use WiFi Hotspots and Hotel Internet connections:
>>
>> *Question:*
>> /
>> Hi, Will one or other of your services work with OS/2 clients (aka
>> eComStation in its latest version)? There are PPTP clients available but
>> do you require a proprietry client implementation?

is this PPTP ???

unless it's IPSEC I wouldn't bother even reading about it

-- 
Voytek

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   8 ==========================**

Date:  Mon, 31 Aug 2009 21:47:09 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Networks

<quote who="Alan Duval">

>> In this case, just check the default route address and subnet mask on
>> the ubuntu machine, and you should be fine.
> I access the router by typing http://192.168.1.254 to get to the router
> configuration pages. LAN information is as follows:
> IP address      192.168.1.254
> IP mask           255.255.255.0

> The default route address for my Ubuntu machine is         192.168.1.100
> Subnet mask is         255.255.255.0

both are equivalent

INTERNET <->ROUTER
 (port1)<----->My PC
 (port2)<----->Secretary's PC

INTERNET<--->ROUTER<--->HUB|
   <-------->My PC
   <-------->Secretary's PC

either have the other PC with DHCP assigned address,
or, give them a fixed IP address below your DHCP pool:

192.168.1.1 to 192.168.1.99

-- 
Voytek

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG